package models.ext.sal;

import models.ueat.exp.EXPCommonValueBean;

public class SALDeductValueBean extends EXPCommonValueBean {

    private int SocialInsurance;
    private int Tax;
    private int Dues;
    private int ExamFee;
    private int YearEndAdjustResult;
    private SALDeductSocialInsuranceValueBean SocialInsuranceValue;
    private SALDeductTaxValueBean TaxValue;

    public SALDeductValueBean() {
        SocialInsuranceValue = new SALDeductSocialInsuranceValueBean();
        TaxValue = new SALDeductTaxValueBean();
    }

    public int getSocialInsurance() {
        return SocialInsurance;
    }

    public void setSocialInsurance(int socialInsurance) {
        SocialInsurance = socialInsurance;
    }

    public int getTax() {
        return Tax;
    }

    public void setTax(int tax) {
        Tax = tax;
    }

    public int getDues() {
        return Dues;
    }

    public void setDues(int dues) {
        Dues = dues;
    }

    public int getExamFee() {
        return ExamFee;
    }

    public void setExamFee(int examFee) {
        ExamFee = examFee;
    }

    public int getYearEndAdjustResult() {
        return YearEndAdjustResult;
    }

    public void setYearEndAdjustResult(int yearEndAdjustResult) {
        YearEndAdjustResult = yearEndAdjustResult;
    }

    public SALDeductSocialInsuranceValueBean getSocialInsuranceValue() {
        return SocialInsuranceValue;
    }

    public void setSocialInsuranceValue(SALDeductSocialInsuranceValueBean socialInsuranceValue) {
        SocialInsuranceValue = socialInsuranceValue;
    }

    public SALDeductTaxValueBean getTaxValue() {
        return TaxValue;
    }

    public void setTaxValue(SALDeductTaxValueBean taxValue) {
        TaxValue = taxValue;
    }
}
