package models.ext.sal;

import models.ueat.exp.EXPCommonValueBean;

public class SALPayStatementValueBean extends EXPCommonValueBean {

    private String PayDate;
    private int TotalAmountPaid;
    private int DeductTotal;
    private int NetAmountPaid;
    private boolean BonusMode;
    private SALAttendValueBean AttendValue;
    private SALPaidValueBean PaidValue;
    private SALDeductValueBean DeductValue;

    public SALPayStatementValueBean() {
        AttendValue = new SALAttendValueBean();
        DeductValue = new SALDeductValueBean();
    }

    public String getPayDate() {
        return PayDate;
    }

    public void setPayDate(String payDate) {
        PayDate = payDate;
    }

    public int getTotalAmountPaid() {
        return TotalAmountPaid;
    }

    public void setTotalAmountPaid(int totalAmountPaid) {
        TotalAmountPaid = totalAmountPaid;
    }

    public int getDeductTotal() {
        return DeductTotal;
    }

    public void setDeductTotal(int deductTotal) {
        DeductTotal = deductTotal;
    }

    public int getNetAmountPaid() {
        return NetAmountPaid;
    }

    public void setNetAmountPaid(int netAmountPaid) {
        NetAmountPaid = netAmountPaid;
    }

    public boolean isBonusMode() {
        return BonusMode;
    }

    public void setBonusMode(boolean bonusMode) {
        BonusMode = bonusMode;
    }

    public SALAttendValueBean getAttendValue() {
        return AttendValue;
    }

    public void setAttendValue(SALAttendValueBean attendValue) {
        AttendValue = attendValue;
    }

    public SALPaidValueBean getPaidValue() {
        return PaidValue;
    }

    public void setPaidValue(SALPaidValueBean paidValue) {
        PaidValue = paidValue;
    }

    public SALDeductValueBean getDeductValue() {
        return DeductValue;
    }

    public void setDeductValue(SALDeductValueBean deductValue) {
        DeductValue = deductValue;
    }
}
