package models.ueat.exp;

import java.util.ArrayList;
import java.util.List;

public class EXPHighChartValueBean {
    private long DispWidth;
    private long DispHeight;
    private String TitleText;
    private long TitleX;
    private String SubTitleText;
    private long SubTitleX;
    private String XAxisCategories;
    private String YAxisTitle;
    private long PlotLineValue;
    private long PlotLineWidth;
    private String PlotLineColor;
    private String ToolTip;
    private String LegendLayout;
    private String LegendAlign;
    private String LegendVerticalAlign;
    private long LegendBorderWidth;
    private List SeriesDataList;

    public long getDispWidth() {
        return DispWidth;
    }

    public void setDispWidth(long dispWidth) {
        DispWidth = dispWidth;
    }

    public long getDispHeight() {
        return DispHeight;
    }

    public void setDispHeight(long dispHeight) {
        DispHeight = dispHeight;
    }

    public String getTitleText() {
        return TitleText;
    }

    public void setTitleText(String titleText) {
        TitleText = titleText;
    }

    public long getTitleX() {
        return TitleX;
    }

    public void setTitleX(long titleX) {
        TitleX = titleX;
    }

    public String getSubTitleText() {
        return SubTitleText;
    }

    public void setSubTitleText(String subTitleText) {
        SubTitleText = subTitleText;
    }

    public long getSubTitleX() {
        return SubTitleX;
    }

    public void setSubTitleX(long subTitleX) {
        SubTitleX = subTitleX;
    }

    public String getXAxisCategories() {
        return XAxisCategories;
    }

    public void setXAxisCategories(String xAxisCategories) {
        XAxisCategories = xAxisCategories;
    }

    public String getYAxisTitle() {
        return YAxisTitle;
    }

    public void setYAxisTitle(String yAxisTitle) {
        YAxisTitle = yAxisTitle;
    }

    public long getPlotLineValue() {
        return PlotLineValue;
    }

    public void setPlotLineValue(long plotLineValue) {
        PlotLineValue = plotLineValue;
    }

    public long getPlotLineWidth() {
        return PlotLineWidth;
    }

    public void setPlotLineWidth(long plotLineWidth) {
        PlotLineWidth = plotLineWidth;
    }

    public String getPlotLineColor() {
        return PlotLineColor;
    }

    public void setPlotLineColor(String plotLineColor) {
        PlotLineColor = plotLineColor;
    }

    public String getToolTip() {
        return ToolTip;
    }

    public void setToolTip(String toolTip) {
        ToolTip = toolTip;
    }

    public String getLegendLayout() {
        return LegendLayout;
    }

    public void setLegendLayout(String legendLayout) {
        LegendLayout = legendLayout;
    }

    public String getLegendAlign() {
        return LegendAlign;
    }

    public void setLegendAlign(String legendAlign) {
        LegendAlign = legendAlign;
    }

    public String getLegendVerticalAlign() {
        return LegendVerticalAlign;
    }

    public void setLegendVerticalAlign(String legendVerticalAlign) {
        LegendVerticalAlign = legendVerticalAlign;
    }

    public long getLegendBorderWidth() {
        return LegendBorderWidth;
    }

    public void setLegendBorderWidth(long legendBorderWidth) {
        LegendBorderWidth = legendBorderWidth;
    }

    public List getSeriesDataList() {
        return SeriesDataList;
    }

    public void setSeriesDataList(List seriesDataList) {
        SeriesDataList = seriesDataList;
    }

    public EXPHighChartValueBean() {
        SeriesDataList = new ArrayList<SeriesData>();
        DispWidth = 500;
        DispHeight = 300;
        TitleText = "Unknown";
        TitleX = -20;
        SubTitleText = "non";
        SubTitleX = -20;
        XAxisCategories = "";
        YAxisTitle = "";
        PlotLineValue = 0;
        PlotLineWidth = 1;
        PlotLineColor = "#808080";
        ToolTip = "";
        LegendLayout = "vertical";
        LegendAlign = "right";
        LegendVerticalAlign = "middle";
        LegendBorderWidth = 0;
    }

    public class SeriesData {
        private String Name;
        private String Data;

        public String getName() {
            return Name;
        }
        public void setName(String name) {
            Name = name;
        }
        public String getData() {
            return Data;
        }
        public void setData(String data) {
            Data = data;
        }
    }
}
