function isNullOrEmpty(value)
{
    if (value == null ||
        value == 'null' ||
        value == undefined ||
        value == 'undefined' ||
        value.match(new RegExp("^\\s*$"))) {
        return true;
    }
    return false;
}

function escapeHtml(value)
{
    var retVal = value;
    retVal = retVal.replace(new RegExp("\\\\n", "g"), "%0A");
    retVal = retVal.replace(new RegExp("\\\\r", "g"), "%0D");
    return retVal;
}

function checkNum(num)
{
    if (!num.match(/^[0-9](\.[0-9]{1,3})?$/)) {
        return false;
    }
    return true;
}