package controllers.ueat.exp;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.UnsupportedEncodingException;

import models.ueat.exp.EXPCommonValueBean;
import util.com.COMEnvParam;
import util.exp.EXPDef;

public class EXPAuthManager
    extends EXPCommonManager implements EXPManagerInterface {

    @Override
    public boolean execute() {
        try {
            COMEnvParam envParam = new COMEnvParam(getServletContext().getRealPath("/def/UEATSys.def"));
            if (!"ON".equals(envParam.getKeyValue("NO_CONFIRM_MODE").toUpperCase())) {
                // login check
            }
        }
        catch (FileNotFoundException e) {
            e.printStackTrace();
            return false;
        }
        catch (IOException e) {
            e.printStackTrace();
            return false;
        }
        return true;
    }

    @SuppressWarnings("finally")
    public boolean confirmLogin() {

        boolean ret = false;

        EXPCommonValueBean value = new EXPCommonValueBean();
        try {
            getRequest().setCharacterEncoding("UTF-8");

            value.setLoginUserID(getRequest().getParameter(EXPDef.RQPRM_USER_ID));
            value.setLoginUserPasswd(getRequest().getParameter(EXPDef.RQPRM_PASSWD));
        }
        catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        finally {
            setValueBean(value);
            return ret;
        }
    }
}
