package models.ueat.exp;

import java.util.ArrayList;
import java.util.List;

import util.exp.EXPDef;

public class EXPUtilityExpensesValueBean extends EXPCommonValueBean {

    private EXPDef.ExpKind ExpKind;
    private List ExpEBValueBeanList;
    private List ExpGBValueBeanList;
    private List ExpWBValueBeanList;

    public EXPUtilityExpensesValueBean() {
        ExpKind = ExpKind.Unknown;
        this.ExpEBValueBeanList = new ArrayList<EXPElectricityBillBValueBean>();
        this.ExpGBValueBeanList = new ArrayList<EXPGasBillBValueBean>();
        this.ExpWBValueBeanList = new ArrayList<EXPWaterBillBValueBean>();
    }

    public EXPDef.ExpKind getExpKind() {
        return ExpKind;
    }

    public void setExpKind(EXPDef.ExpKind expKind) {
        ExpKind = expKind;
    }

    public List getExpEBValueBeanList() {
        return this.ExpEBValueBeanList;
    }

    public void setExpEBValueBeanList(List expEBValueBeanList) {
        this.ExpEBValueBeanList = expEBValueBeanList;
    }

    public List getExpGBValueBeanList() {
        return ExpGBValueBeanList;
    }

    public void setExpGBValueBeanList(List expGBValueBeanList) {
        ExpGBValueBeanList = expGBValueBeanList;
    }

    public List getExpWBValueBeanList() {
        return ExpWBValueBeanList;
    }

    public void setExpWBValueBeanList(List expWBValueBeanList) {
        ExpWBValueBeanList = expWBValueBeanList;
    }
}
