package util.ext.sal;

public class SALDef {
    public static final String SAL_CATEG_COMMON = "Common";
    public static final String SAL_CATEG_SUMMARY = "Summary";
    public static final String SAL_CATEG_ATTEND = "Attend";
    public static final String SAL_CATEG_PAID = "Paid";
    public static final String SAL_CATEG_DEDUCT = "Deduct";

    public enum SalKind {
        Unknown,
        Pay,
        Bonus,
    }
//    public static final String[] CAP_JP_SAL_SUMMARY_ITEMS = {
//        "差引支給額",
//        "支給総額",
//        "控除合計"
//    };
//
//    public static final String[] CAP_JP_SAL_ATTND_ITEMS = {
//        "本社所定時間",
//        "労働時間",
//        "時間外時間",
//        "深夜勤務時間",
//        "法定休日時間",
//        "遅早回数",
//        "遅早時間",
//        "控除時間",
//        "欠勤日数",
//        "特休日数",
//        "有休使用日数",
//        "有休残前年",
//        "有休残本年"
//    };
//
//    public static final String[] CAP_JP_SAL_AMOUNT_ITEMS = {
//        "基本給",
//        "役職手当",
//        "技術手当",
//        "業務手当",
//        "資格手当",
//        "住宅手当",
//        "営業手当",
//        "家族手当",
//        "時間外手当",
//        "深夜勤務手当",
//        "法定休日手当",
//        "通勤手当",
//        "通勤手当差額",
//        "特別手当",
//        "遅早欠勤控除",
//        "遡及支給",
//    };
//
//    public static final String[] CAP_JP_SAL_DEDUCT_ITEMS = {
//        "健康保険",
//        "介護保険",
//        "厚生年金",
//        "雇用保険",
//        "社会保険調整",
//        "社会保険料計",
//        "課税対象額",
//        "所得税",
//        "住民税",
//        "親睦会",
//        "受験料",
//        "年調繰越"
//    };
//
//    public static final String[] RQPRM_SAL_SUMMARY_ITEMS = {
//        "NetAmountPaid",
//        "TotalAmountPaid",
//        "DeductTotal"
//    };
//
//    public static final String[] RQPRM_SAL_ATTND_ITEMS = {
//        "OfficialTime",
//        "WorkTime",
//        "OverTime",
//        "MidnightTime",
//        "LegalHolidayTime",
//        "LateEarlyCount",
//        "LateEarlyTime",
//        "DeductTime",
//        "AbsentDays",
//        "SpecialDays",
//        "PaidUsedDays",
//        "PaidRemainOfLastYear",
//        "PaidRemain"
//    };
//
//    public static final String[] RQPRM_SAL_AMOUNT_ITEMS = {
//        "BaseSalary",
//        "ExecutiveAllowance",
//        "TechnologyAllowance",
//        "BusinessAllowance",
//        "CapacityAllowance",
//        "HousingAllowance",
//        "SalesAllowance",
//        "FamilyAllowance",
//        "OverAllowance",
//        "MidnightAllowance",
//        "LegalHolidayAllowance",
//        "CommuteAllowance",
//        "CommuteAllowanceDiff",
//        "SpecialAllowance",
//        "ViolationDeduct",
//        "RetroactivityPaid"
//    };
//
//    public static final String[] RQPRM_SAL_DEDUCT_ITEMS = {
//        "HealthInsurance",
//        "NursingInsurance",
//        "EmployeePension",
//        "EmploymentInsurance",
//        "Harmonization",
//        "SocialInsurance",
//        "NetTaxableAmount",
//        "IncomeTax",
//        "InhabitantTax",
//        "Dues",
//        "ExamFee",
//        "YearEndAdjustResult"
//    };

    public static final String DB_COL_ABSENT_DAYS = "absent_days";
    public static final String DB_COL_BASE_SALARY = "base_salary";
    public static final String DB_COL_BASIC_ID = "basic_id";
    public static final String DB_COL_BONUS = "bonus";
    public static final String DB_COL_BONUS_FLAG = "bonus_flag";
    public static final String DB_COL_BUSINESS_ALLOWANCE = "business_allowance";
    public static final String DB_COL_CAPACITY_ALLOWANCE = "capacity_allowance";
    public static final String DB_COL_CAPTION_ENG = "caption_eng";
    public static final String DB_COL_CAPTION_JP = "caption_jp";
    public static final String DB_COL_CATEGORY = "category";
    public static final String DB_COL_COMMENT = "comment";
    public static final String DB_COL_COMMUTE_ALLOWANCE = "commute_allowance";
    public static final String DB_COL_COMMUTE_ALLOWANCE_DIFF = "commute_allowance_diff";
    public static final String DB_COL_CLASS = "class";
    public static final String DB_COL_DB_COL_NAME = "db_col_name";
    public static final String DB_COL_DB_TABLE_NAME = "db_table_name";
    public static final String DB_COL_DEDUCT_TIME = "deduct_time";
    public static final String DB_COL_DEDUCT_TOTAL = "deduct_total";
    public static final String DB_COL_DUES = "dues";
    public static final String DB_COL_EMPLOYEE_PENSION = "employee_pension";
    public static final String DB_COL_EMPLOYMENT_INSURANCE = "employment_insurance";
    public static final String DB_COL_EXAM_FEE = "exam_fee";
    public static final String DB_COL_EXECUTIVE_ALLOWANCE = "executive_allowance";
    public static final String DB_COL_FAMILY_ALLOWANCE = "family_allowance";
    public static final String DB_COL_HARMONIZATION = "harmonization";
    public static final String DB_COL_HEALTH_INSURANCE = "health_insurance";
    public static final String DB_COL_HOUSING_ALLOWANCE = "housing_allowance";
    public static final String DB_COL_ID = "id";
    public static final String DB_COL_INCOME_TAX = "income_tax";
    public static final String DB_COL_INHABITANT_TAX = "inhabitant_tax";
    public static final String DB_COL_IS_DISABLED = "is_disabled";
    public static final String DB_COL_LATE_EARLY_COUNT = "late_early_count";
    public static final String DB_COL_LATE_EARLY_TIME = "late_early_time";
    public static final String DB_COL_LEGAL_HOLIDAY_ALLOWANCE = "legal_holiday_allowance";
    public static final String DB_COL_LEGAL_HOLIDAY_TIME = "legal_holiday_time";
    public static final String DB_COL_MIDNIGHT_ALLOWANCE = "midnight_allowance";
    public static final String DB_COL_MIDNIGHT_TIME = "midnight_time";
    public static final String DB_COL_NET_AMOUNT_PAID = "net_amount_paid";
    public static final String DB_COL_NET_TAXABLE_AMOUNT = "net_taxable_amount";
    public static final String DB_COL_NURSING_INSURANCE = "nursing_insurance";
    public static final String DB_COL_OFFICIAL_TIME = "official_time";
    public static final String DB_COL_OVER_ALLOWANCE = "over_allowance";
    public static final String DB_COL_OVER_TIME = "over_time";
    public static final String DB_COL_PAID_REMAIN = "paid_remain";
    public static final String DB_COL_PAID_REMAIN_OF_LAST_YEAR = "paid_remain_of_last_year";
    public static final String DB_COL_PAID_USED_DAYS = "paid_used_days";
    public static final String DB_COL_PAY_DATE = "pay_date";
    public static final String DB_COL_REQUEST_PARAM_NAME = "request_param_name";
    public static final String DB_COL_RETROACTIVITY_PAID = "retroactivity_paid";
    public static final String DB_COL_REVISION_DATE = "revision_date";
    public static final String DB_COL_SALES_ALLOWANCE = "sales_allowance";
    public static final String DB_COL_SOCIAL_INSURANCE = "social_insurance";
    public static final String DB_COL_SPECIAL_ALLOWANCE = "special_allowance";
    public static final String DB_COL_SPECIAL_DAYS = "special_days";
    public static final String DB_COL_TAX = "tax";
    public static final String DB_COL_TECHNOLOGY_ALLOWANCE = "technology_allowance";
    public static final String DB_COL_TOTAL_AMOUNT_PAID = "total_amount_paid";
    public static final String DB_COL_VIOLATION_DEDUCT = "violation_deduct";
    public static final String DB_COL_YEAR_END_ADJUST_RESULT = "year_end_adjust_result";

}
